package com.jeesharp.business.modules.mall.service;

import com.jeesharp.business.modules.mall.entity.MallPresale;
import com.jeesharp.business.modules.mall.vo.MallPresaleQueryVO;
import com.jeesharp.framework.mybatis.core.service.BaseInterface;

import java.util.List;

public interface MallPresaleService extends BaseInterface<MallPresale, MallPresaleQueryVO> {

    void createPresale(MallPresale entity);

    void updatePresale(MallPresale entity);
MallPresale getBySpuId(String spuId);

    boolean isInPresalePeriod(String spuId);

    boolean canPayTail(String spuId);
}
